import { Injectable } from '@angular/core';
import {DataSourceService} from '../../services/data-source.service';
import {
  ApplicationContext,
  Observation,
  ObservationService,
  ObservationTable,
  ScanningObservationTable
} from 'facade-api';
import {groupBy, reduce, switchMap} from 'rxjs/operators';
import {Observable, of} from 'rxjs';

export interface ObservationGroup {
  date: Date;
  fetus: string;
  observations: Observation[];
}

const seed: ObservationGroup[] = [];

@Injectable({
  providedIn: 'root'
})
export class ClinicalObservationsServiceService {
  constructor(private dataSourceService: DataSourceService, private observationService: ObservationService) {
  }
  public observationGroups: Observable<ObservationTable> =
    this.observationService.getClinicalObservationTable({} as ApplicationContext);
}
