import { Injectable } from '@angular/core';
import {BehaviorSubject, Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class CprSearchEventService {

  private cprSearchFABClickEvent = new BehaviorSubject<void>(undefined);
  private cprSearchFocusedEvent = new BehaviorSubject<boolean>(false);

  constructor() { }

  public emitCprSearchFABClickEvent(): void {
    this.cprSearchFABClickEvent.next();
  }

  public CprSearchFABClick(): Observable<void> {
    return this.cprSearchFABClickEvent.asObservable();
  }

  public emitCprSearchFocusedEvent(focused: boolean): void {
    this.cprSearchFocusedEvent.next(focused);
  }

  public CprSearchFocused(): Observable<boolean> {
    return this.cprSearchFocusedEvent.asObservable();
  }
}
