import { TestBed } from '@angular/core/testing';

import { ErrorService } from './error.service';
import {PatientContextService} from './patient-context.service';
import {Router} from '@angular/router';
import {HttpClientTestingModule} from '@angular/common/http/testing';
import {CarePlanService, DataCardService, ObservationService} from 'facade-api';

describe('ErrorService', () => {
  let service: ErrorService;
  let patientContextServiceStub: PatientContextService;
  let routerStub: Router;

  beforeEach(async () => {
    patientContextServiceStub = {
      getCurrentXBreakTheGlassReason: () => undefined,
      getCurrentHasPrivatelyMarkedData: () => false,
    } as any;

    routerStub = {
      navigate: () => {}
    } as any;

    await TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        {provide: PatientContextService, useValue: patientContextServiceStub},
        {provide: Router, useValue: routerStub},
      ]
    }).compileComponents();
    service = TestBed.inject(ErrorService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
