import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';
import {HttpClient} from '@angular/common/http';
import {environment} from '../../environments/environment';

export interface Feedback {
  rating: number;
  comment?: string;
}

@Injectable({
  providedIn: 'root'
})
export class FeedbackService {
  constructor(private httpClient: HttpClient) {}

  sendFeedback(feedback: Feedback): Observable<Feedback> {
    console.log(`Feedback service sendFeedback(): \nRating: ${feedback.rating}\nComment: ${feedback.comment || '<none>'}`);
    return this.httpClient.post<Feedback>(`${environment.base_path }/api/feedback/v1`, feedback);
  }
}
